# Security tab

![Security tab in MQTT Consumer](/files/yh2RKGDvyB0TOl236YbZ)

The **Security** tab allows you to define authentication credentials for the MQTT server. This tab includes the following options:

| Option                  | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Username**            | Specify the user name required to access the MQTT server.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **Password**            | Specify the password associated with the Username.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| **Use secure protocol** | Select this option if you want to define SSL properties for the connection.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **SSL Properties**      | <ul><li><strong>ssl.contextProvider</strong></li></ul><p>Specify the underlying JSSE provider.</p><ul><li><strong>ssl.enabledCipherSuites</strong></li></ul><p>Specify which ciphers are enabled. Values are dependent on the provider.</p><ul><li><strong>ssl.keyManager</strong></li></ul><p>Specify the algorithm that will be used to create a KeyManagerFactory object instead of using the default algorithm available in the platform.</p><ul><li><strong>ssl.keyStore</strong></li></ul><p>Specify the name of the file that contains the KeyStore object that you want the KeyManager to use.</p><ul><li><strong>ssl.keyStorePassword</strong></li></ul><p>Specify the password for the KeyStore object that you want the KeyManager to use.</p><ul><li><strong>ssl.keyStoreProvider</strong></li></ul><p>Specify the identifying name or string for the key store provider.</p><ul><li><strong>ssl.keyStoreType</strong></li></ul><p>Specify the identifying name or string for the type of key store.</p><ul><li><strong>ssl.protocol</strong></li></ul><p>Specify the type of SSL protocol to use.</p><ul><li><strong>ssl.trustManager</strong></li></ul><p>Specify the algorithm that will be used to create a TrustManagerFactory object, instead of using the default algorithm available in the platform.</p><ul><li><strong>ssl.trustStore</strong></li></ul><p>Specify the name of the file that contains the KeyStore object that you want the TrustManager to use.</p><ul><li><strong>ssl.trustStorePassword</strong></li></ul><p>Specify the password for the TrustStore object that you want the TrustManager to use.</p><ul><li><strong>ssl.trustStoreProvider</strong></li></ul><p>Specify the identifier or string for the trust store provider.</p><ul><li><strong>ssl.trustStoreType</strong></li></ul><p>Specify the type of KeyStore object that you want the TrustManager to use.</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pentaho.com/pdia-data-integration/10.2-data-integration/pdi-transformation-steps-reference-overview/mqtt-consumer/options-mqtt-consumer-reuse/security-tab-mqtt-consumer-reuse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
